Name: mpg123
Version: 1.3.1
Release: 1
Summary: MPEG audio player
Group: Applications/Sound
Copyright: GPL
Url: http://www.mpg123.org/
Source0: %{name}-%{version}.tar.bz2
Source1: %{name}-%{version}.tar.bz2.sig
Buildroot: /var/tmp/%{name}-%{version}-%{release}-root

Requires: esound >= 0.2.36

%description
Mpg123 is a fast, free and portable MPEG audio player for Unix. It supports
MPEG 1.0/2.0 layers 1, 2 and 3 (those famous "mp3" files). 
It can play MPEG1.0/2.0/2.5 layer I, II, II (1, 2, 3;-) files (VBR files are
fine, too) and produce output on a number of different ways: raw data to
stdout and different sound systems depending on your platform.
Most tested are Linux on x86 and Alpha/AXP and MacOSX on ppc as the
environments the current developers work in.


%package devel
Summary: MPEG audio player library development
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: esound-devel >= 0.2.36

%description devel
The mpg123-devel package contains the header files, libraries and
documentation needed to develop applications with mpg123.


%prep
%setup -q


%build
export CC="xlc"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_prefix}/man \
    --enable-shared --enable-static
make %{?_smp_mflags}


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make install DESTDIR=${RPM_BUILD_ROOT}


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files 
%defattr(-,root,system,-)
%doc AUTHORS COPYING NEWS README TODO
%{_bindir}/*
%{_libdir}/*.a
%{_libdir}/%{name}/*
%{_mandir}/man1/*


%files devel
%defattr(-,root,system,-)
%doc AUTHORS COPYING NEWS README TODO
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/pkgconfig/*


%changelog
* Mon Mar 12 2008 Michael Perzl <michael@perzl.org> - 1.3.1-1
- updated to version 1.3.1

* Mon Mar 03 2008 Michael Perzl <michael@perzl.org> - 1.3.0-1
- updated to version 1.3.0

* Fri Feb 22 2008 Michael Perzl <michael@perzl.org> - 1.2.1-1
- updated to version 1.2.1

* Thu Jan 31 2008 Michael Perzl <michael@perzl.org> - 1.1.0-1
- First version for AIX5L v5.1 and higher
